libvisual-plugins (1:0.4.2+dfsg-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:31:41 +0000

libvisual-plugins (1:0.4.2+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 11 Jun 2023 13:39:37 -0300

libvisual-plugins (1:0.4.2+dfsg-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 0.4.2+dfsg.
  * Re-enabled gstreamer plugin because the source code supports version 1.0
    now. Consequently:
      - debian/control: added libgstreamer1.0-dev to Build-Depends field.
      - debian/rules: dropped --disable-gstreamer-plugin option.
  * debian/control:
      - Added portaudio19-dev to Build-Depends field, needed for the new plugin
        PortAudio.
      - Bumped the relationship for libvisual-0.4-dev to 0.4.2.
      - Changed from libgtk-3-dev to libgtk2.0-dev in Build-Depends field
        because this upstream version already supports libgtk-3.
        (Closes: #967589)
  * debian/copyright:
      - Added new upstream rights.
      - Updated Upstream-Contact field.
  * debian/patches/110_add_de_translation.patch: removed because the upstream
    applied this patch.
  * debian/watch: updated the search rule.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Mar 2023 13:59:51 -0300

libvisual-plugins (1:0.4.1+dfsg-2) experimental; urgency=medium

  * QA upload.
  * debian/control: dropped wrong Enhances field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Mar 2023 12:55:13 -0300

libvisual-plugins (1:0.4.1+dfsg-1) experimental; urgency=medium

  * QA upload.
  * New upstream version 0.4.1+dfsg. (Closes: #1028361)
  * debian/control:
      - Added a relationship to libvisual-0.4-dev.
      - Bumped Standards-Version to 4.6.2.
      - Updated from libgl1-mesa-dev to libgl-dev in Build-Depends field.
  * debian/copyright:
      - Converted the last paragraph of the licenses in comments.
      - Fixed licensing for gettext.h.
      - Removed upstream names not listed from Copyright statements.
      - Updated packaging copyright data.
  * debian/lintian-overrides:
      - Added override about false positive around file not linked to libc6.
      - Removed override about hardening-no-fortify-functions because lintian
        maybe right.
  * debian/patches/:
      - Removed the following patches because the upstream applied them to the
        source code (thanks!):
          ~ 020_64-bit_JESS_fix.patch
          ~ 030_build_against_gl_fixes.patch
          ~ 040_lv_analyzer_build_fix.patch
          ~ 050_fix_po.patch
          ~ 060_alsa_m4_macro.patch
          ~ 070_no-const-vispluginfo-in-nastyfft.patch
          ~ 080_fix_FTBFS_clang.patch
          ~ 090_fix_some_gcc_warnings.patch
          ~ 100_fix_spelling.patch
      - 110_add_de_translation.patch: updated. Thanks to Helge Kreutzmann
        <debian@helgefjell.de>. (Closes: #978118)
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 11 Mar 2023 19:28:03 -0300

libvisual-plugins (1:0.4.0+dfsg1-17) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libvisual-0.4-dev.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 28 May 2022 01:03:46 +0100

libvisual-plugins (1:0.4.0+dfsg1-16) unstable; urgency=medium

  * QA upload.
  * debian/control: migrated DH level to 13.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable as a workaround to fix
    a FTBFS with GCC-10. (Closes: #957483)
  * debian/upstream/metadata: added Repository and Repository-Browse fields.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 17 Sep 2020 18:02:01 -0300

libvisual-plugins (1:0.4.0+dfsg1-15) unstable; urgency=medium

  * QA upload.

  [ Joao Eriberto Mota Filho ]
  * debian/patches/100_fix_spelling.patch: fixed a spelling error inside the
    patch.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database and Bug-Submit.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 29 Mar 2020 21:12:54 -0300

libvisual-plugins (1:0.4.0+dfsg1-14) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see: #921623)
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Feb 2020 18:20:48 -0300

libvisual-plugins (1:0.4.0+dfsg1-13) unstable; urgency=medium

  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/clean: added to allow the package build twice.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright:
      - Added rights for new translations.
      - Updated packaging copyright years.
  * debian/patches:
      - Added 110_add_de_translation.patch to provide German translation.
        Thanks to Chris Leick <c.leick@vollbio.de> and to Helge Kreutzmann
        <debian@helgefjell.de>. (Closes: #883826)
      - Renumbered all patch names.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 06 Feb 2019 21:45:25 -0200

libvisual-plugins (1:0.4.0+dfsg1-12) unstable; urgency=medium

  * debian/control:
      - Bumped Standards-Version to 4.2.1.
      - Changed Vcs-* URLs to salsa.debian.org.
      - Updated Homepage field.
  * debian/copyright:
      - Updated Source field.
      - Updated upstream and packaging copyright years.
      - Using a secure copyright format in URI.
  * debian/rules: removed '--with autoreconf' because it is default since DH 10.
  * debian/watch: updated upstream site.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 06 Nov 2018 23:50:33 -0200

libvisual-plugins (1:0.4.0+dfsg1-11) unstable; urgency=medium

  * Migrated DH level to 11.
  * debian/control:
      - Bumped Standards-Version to 4.1.2.
      - Removed libesd0-dev from Build-Depends field. Thanks to Laurent
        Bigonville <bigon@debian.org>. (Closes: #856084)
      - Removed no longer needed build dependency dh-autoreconf.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/95_fix_spelling.patch: updated. Thanks to Chris
    Leick <c.leick@vollbio.de>. (see #883826)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 27 Dec 2017 15:34:38 -0200

libvisual-plugins (1:0.4.0+dfsg1-10) unstable; urgency=medium

  * debian/copyright: little adjustment around the main upstream email address.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 12 Nov 2016 20:25:44 -0200

libvisual-plugins (1:0.4.0+dfsg1-9) unstable; urgency=medium

  * Bumped DH level to 10.
  * debian/control:
      - Added libesd0-dev and libjack-dev to Build-Depends field to increase
        the features to libvisual-plugins.
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the packaging copyright years.
  * debian/patches/:
      - Added the suffix .patch in all patches.
      - Added 95_fix_spelling.patch to fix a spelling error in a final binary.
  * debian/rules: added --disable-gstreamer-plugin option to
    override_dh_auto_configure target to avoid a FTBFS, since gstreamer-0.8
    is no longer available in Debian. (Closes: #839331)
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 09 Oct 2016 18:53:31 +0000

libvisual-plugins (1:0.4.0+dfsg1-8) unstable; urgency=medium

  * New maintainer. Thanks to all previous people that have helped this
      package. (Closes: #641060)
  * Fixed the dfsg period issue ('.dfsg.1' -> '+dfsg1') in revision number.
      Consequently, used the epoch 1: to prevent new version from being less
      than the last version.
  * debian/control:
      - Added the Homepage field.
      - Added the Vcs-* fields.
      - Added the Enhances field to binary.
      - Bumped Standards-Version to 3.9.6.
      - Improved the long description.
      - Removed no longer needed Conflicts and Replaces fields.
      - Updated debhelper version to 9.
  * debian/copyright:
      - Migrated to 1.0 format.
      - Updated all information.
  * debian/docs: created to install some upstream docs.
  * debian/lintian-overrides: added to override a false positive.
  * debian/patches/:
      - Renamed all patches:
          ~ 01_disable-gforce-dfsg.patch to 10_disable-gforce-dfsg.
          ~ 02_64-bit_JESS_fix.patch to 20_64-bit_JESS_fix.
          ~ 03_build_against_gl_fixes.patch to 30_build_against_gl_fixes.
          ~ 04_lv_analyzer_build_fix.patch to 40_lv_analyzer_build_fix.
          ~ 05_fix_po.patch to 50_fix_po.
          ~ 06_alsa_m4_macro.patch to 60_alsa_m4_macro.
          ~ 60_no-const-vispluginfo-in-nastyfft.patch to
            70_no-const-vispluginfo-in-nastyfft.
      - Updated all previous headers in all patches.
      - Added the 80_fix_FTBFS_clang patch to fiz a FTBFS with Clang. Thanks
        to Nicolas Sévelin-Radiguet <nicosr@free.fr>. (Closes: #742210)
  * debian/README.source: created to explain about non-free G-Force plugin.
      Credits to David Schleef, the first maintainer of this package.
  * debian/rules:
      - Added DEB_BUILD_MAINT_OPTIONS variable to improve the GCC hardening.
      - Improved the 'find' command to remove *.la files.
      - Removed the --enable-debug option.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 06 Sep 2015 19:30:35 -0300

libvisual-plugins (0.4.0.dfsg.1-7) unstable; urgency=low

  * QA upload.
  * Mark libvisual-0.4-plugins Multi-Arch: same, since it already ships its
    files in the right place.  This lets the libvisual Recommends be
    satisfied correctly when installing for a foreign arch.  LP: #947639.

 -- Steve Langasek <vorlon@debian.org>  Fri, 09 Mar 2012 22:52:04 +0000

libvisual-plugins (0.4.0.dfsg.1-6) unstable; urgency=low

  * QA upload.
  * Ship the alsa.m4 macro in the package since libasound2-dev is linux-only
    and autoreconf will fail on non-linux plattforms otherwise.
    Closes: #647231

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Jan 2012 11:46:09 +0100

libvisual-plugins (0.4.0.dfsg.1-5) unstable; urgency=low

  * QA upload.
  * Build-depend on libvisual-0.4-dev (>= 0.4.0-4) to ensure we install to
    the multiarch path on all architectures.
  * Drop unused build-dependency on chrpath.

 -- Steve Langasek <vorlon@debian.org>  Wed, 26 Oct 2011 01:38:28 +0000

libvisual-plugins (0.4.0.dfsg.1-4) unstable; urgency=low

  * QA upload.
  * Various fixes from Ubuntu:
    - Drop build-dependencies on libesd and libjack, neither of which are
      used at runtime.  Closes: #503013.
    - Drop build-dependency on x11proto-core-dev, not used at build time.
    - Build-dep on mesa-common-dev explicitly for GL/glx.h.
    - Add -D_GNU_SOURCE to CFLAGS to pick up mremap prototype. LP: #766045.
    - 60_no-const-vispluginfo-in-nastyfft: the static VisPluginInfo in
      nastyfft was declared as const, but libvisual write to its refcount
      when it visual_object_unref()s it (nasty!).  This is broken at various
      levels: libvisual shouldn't be writing to this static plugin which is
      allocated by a dlopen()ed plugin, and it should also honor the "const
      VisPluginInfo" API...  Anyway, nastyfft was the only occurrence and
      this fixes the crash for now; LP: #287448.
  * Switch from cdbs to dh(1).
  * Switch to debhelper compat 9 for hardening.
  * Use dh_autoreconf to get up-to-date config.guess/config.sub at build
    time, and drop debian/patches/90_autoreconf.patch.  Closes: #503017.
  * Also build-depend on autopoint, not pulled in by dh-autoreconf but needed
    for this package.
  * Update debian/patches/05_fix_po.patch to actually be safe in the face of
    autoreconfing.

 -- Steve Langasek <vorlon@debian.org>  Tue, 25 Oct 2011 23:02:36 +0000

libvisual-plugins (0.4.0.dfsg.1-3) unstable; urgency=low

  * QA upload, orphaning package see #641060.
  * Update build depend on x-dev to x11proto-core-dev. (Closes: #515381)
  * Update build depend on libjack0.100.0-dev to libjack-dev. (Closes: #527419)
  * Remove obsolete build depend on xutils.
  * Use linux-any instead of hardcoded list of non-Linux architectures.
    (Closes: #634479)
  * Switch to format source 3.0: adapt patches and remove the include in
    simple-patchsys.mk
  * Clean patch 90_autoreconf.patch and remove useless cache directory
    autom4te.cache. (Closes: #503015)
  * Add watch file, thanks to Loïc Minier. (Closes: #503018)
  * Bump to dh compatibility 8.
  * Drop libvisual-0.4-plugins.install file.
  * Add ${misc:Depends} in the Depends line.
  * Update to Standards-Version 3.9.2, no changes required.
  * Add duplicate Section line.

 -- Ana Beatriz Guerrero Lopez <ana@debian.org>  Sat, 10 Sep 2011 15:18:54 +0200

libvisual-plugins (0.4.0.dfsg.1-2) unstable; urgency=low

  * Merged Ubuntu Changes
  * Remove libasound-dev from build dep on KFreeBSD-amd64 and
    hurd-i386 (Closes: #451112)
  * debian/patches/02_64-bit_JESS_fix.patch (Closes: #400810) applied
    from -1ubuntu3 merge
  * Changed Maintainer (Closes: #451213)

 -- Brandon Holtsclaw <brandon@imbrandon.com>  Fri, 23 Nov 2007 07:31:40 +0000

libvisual-plugins (0.4.0.dfsg.1-1ubuntu3) gutsy; urgency=low

  [ Richard James Edmands ]
  [Patches by David Leverton]
  * debian/patches/02_64-bit_JESS_fix.patch:
    - Fix a crasher with JESS on 64-bit (LP: #103393, LP: #109409, LP: #85163)
  * debian/patches/03_build_against_gl_fixes.patch:
    - Fixes the makefiles to make sure GL visualizations get built against libGL
      (LP: #115502)
  * debian/patches/04_lv_analyzer_build_fix.patch:
    - Fixes configure so that lv_analyzer actually gets built

  [Richard Edmands]
  * debian/patches/01_disable-gforce-dfsg.patch:
    - Converted the old g-force disable change to a patch
  * debian/patches/05_fix_po.patch:
    - Fixed so translations work properly
  * debian/rules:
    - Disabling gdkpixbuf plugin as it is just a blank visualization
    - Enable Debugging (LP: #150781)
  * debian/control:
    - Bumped Standards version to 3.7.2
    - Remove build-dep on libgdk-pixbuf-dev as it is no longer needed

  [ Christopher James Halse Rogers ]
  * debian/90_autoreconf:
    - Run autoreconf to activate the build-system fixes.
    - Move all of Debian's auto* changes from the .diff.gz to this patch.
  * By combined power of above, close (LP: #123934).  Thanks very much for your
    work!

 -- Christopher James Halse Rogers <raof@ubuntu.com>  Wed, 10 Oct 2007 22:00:24 +1000

libvisual-plugins (0.4.0.dfsg.1-1ubuntu2) gutsy; urgency=low

  * debian/control: Update maintainer fields according to debian-
    maintainer-field spec.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 15 Aug 2007 08:07:55 +0000

libvisual-plugins (0.4.0.dfsg.1-1ubuntu1) edgy; urgency=low

  * Sync with Debian
  * debian/control:
    + Change x11proto-gl-dev Build-Depends to libgl1-mesa-dev and
      libglu1-mesa-dev
    + Add Replaces/Conflicts on libvisual0.4-plugins

 -- Sebastian Dröge <slomo@ubuntu.com>  Sat, 29 Jul 2006 15:26:31 +0200

libvisual-plugins (0.4.0.dfsg.1-1) unstable; urgency=low

  * New upstream release.
   - builds with gcc-4.x (Closes: #343006)
  * Remove libasound-dev from build dep on KFreeBSD-i386 (Closes: #336855)

 -- David Schleef <ds@schleef.org>  Fri, 19 May 2006 16:43:11 -0700

libvisual-plugins (0.2.0.dfsg.1-1) unstable; urgency=low

  * New package
   - removed plugins/actor/G-Force directory because it contains
     code that is not DFSG-free.
   - This package does not compile with gcc-4.0, thus the need to
     force an older compiler.  There is C++ code in here, although
     the interface is completely C-based.  Since these are plugins,
     they don't export anything that depends on the C++ ABI, but
     there could theoretically be problems if an application that
     uses a different C++ ABI loads these plugins, thus causing two
     libstdc++ .so's to be loaded simultaneously.

 -- David Schleef <ds@schleef.org>  Thu, 08 Sep 2005 19:25:56 -0700
